/*
 * @Author: Fly
 * @Date: 2025-12-10 10:06:13
 * @LastEditTime: 2025-12-16 16:32:44
 * @Description: 
 */
import request from '@/utils/request'

// 新增小程序用户管理
export function userAdd(data) {
  return request({
    url: '/miniapp/user',
    method: 'post',
    data
  })
}
// 查询小程序用户管理列表
export function userPage(params) {
  return request({
    url: '/miniapp/user/page',
    method: 'get',
    params
  })
}
// 获取小程序用户管理详细信息
export function userInfo(id) {
  return request({
    url: `/miniapp/user/${id}`,
    method: 'get',
  })
}
// 查询用户兑换豆明细列表
export function integralPage(query) {
  return request({
    url: `/system/user/integral/page`,
    method: 'get',
    params: query
  })
}

// 查询用户统计信息 - 平台
export function userStatisticsApi(params) {
  return request({
    url: '/miniapp/user/statistics',
    method: 'get',
    params
  })
}
// 修改用户状态 - 平台
export function ChangeUserStatusApi(userId) {
  return request({
    url: `/miniapp/user/changeStatus/${userId}`,
    method: 'put'
  })
}



// ------------------ 商家 -------------------------


// 商家 -  查询小程序用户管理列表
export function getBusinessPageApi(params) {
  return request({
    url: '/miniapp/user/businessPage',
    method: 'get',
    params
  })
}

// 商家 -  查询小程序用户管理 - 统计
export function getBusinessStatisticsApi(params) {
  return request({
    url: '/miniapp/user/business-statistics',
    method: 'get',
    params
  })
}